Name:          libbsd
Version:       0.12.2
Release:       2mamba
Summary:       This library provides useful functions commonly found on BSD systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libbsd.freedesktop.org/wiki/
Source:        http://libbsd.freedesktop.org/releases/libbsd-%{version}.tar.xz
License:       BSD, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmd-devel
## AUTOBUILDREQ-END

%description
This library provides useful functions commonly found on BSD systems, and lacking on others like GNU systems, thus making it easier to port projects with strong BSD origins, without needing to embed the same code over and over again on each project.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure

#\
#   CFLAGS="%{optflags} `pkg-config --cflags libmd`" \
#   LDFLAGS="`pkg-config --libs libmd`"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libbsd.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/bsd
%{_includedir}/bsd/*.h
%dir %{_includedir}/bsd/netinet
%{_includedir}/bsd/netinet/ip_icmp.h
%dir %{_includedir}/bsd/sys
%{_includedir}/bsd/sys/*.h
%{_libdir}/libbsd.a
%{_libdir}/libbsd.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/libbsd-ctor.pc
%{_libdir}/pkgconfig/libbsd-overlay.pc
%{_libdir}/pkgconfig/libbsd.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/libbsd.7*
%doc ChangeLog README TODO

%changelog
* Fri Apr 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.2-2mamba
- remove configure CFLAGS and LDFLAGS to fix libbsd.so linker script syntax

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 0.12.2-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 0.12.1-1mamba
- automatic version update by autodist

* Tue Feb 27 2024 Automatic Build System <autodist@openmamba.org> 0.12.0-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 0.11.8-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 0.11.7-1mamba
- automatic version update by autodist

* Sun Oct 02 2022 Automatic Build System <autodist@mambasoft.it> 0.11.6-1mamba
- automatic version update by autodist

* Mon Oct 28 2019 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sun Jun 03 2018 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sat Feb 03 2018 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Sat Aug 12 2017 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic version update by autodist

* Sun Apr 24 2016 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Thu Feb 04 2016 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Sat Aug 02 2014 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic update by autodist

* Wed Jun 12 2013 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic version update by autodist

* Mon Jun 03 2013 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- package created by autospec
